Name:           ktabletconfig
Version:        0.1.0
Release:        1
License:        GPLv3
Summary:        A CLI utility to change tablet configuration on the KDE Plasma Desktop
Url:            https://invent.kde.org/redstrate/ktabletconfig
Source0:        https://invent.kde.org/redstrate/ktabletconfig/-/archive/master/ktabletconfig-master.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  kwin-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

%description
A CLI utility to change tablet configuration on the KDE Plasma Desktop

%prep
%autosetup -c -p1

%build
cd ktabletconfig-master
%cmake_kf6
%cmake_build

%install
cd ktabletconfig-master
%cmake_install


%files
%doc ktabletconfig-master/README.md

%{_kf6_bindir}/%{name}

%changelog
%autochangelog
